Bug 167997 - Dubious dependency on perl-libxml-enno
Dubious dependency on perl-libxml-enno
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 128879
  Show dependency treegraph
 
Reported: 2005-09-10 04:47 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.0.2-28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 05:35:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-09-10 04:47:46 EDT
perl-libxml-enno is being split into separate up to date subpackages (and  
partially moved to Extras) like has already happened in CPAN a long time ago  
(bug 128879).  
  
foomatic contains a dependency on perl-libxml-enno >= 1.02 which should be  
checked if it's a valid dependency in the first place and if it is, it should  
be changed into virtual perl(Module::Name) dependencies as appropriate.  
  
I didn't find any evidence to support validity of the perl-libxml-enno  
dependency by quickly grepping the files installed by foomatic, and it might  
be that there are other hardcoded perl-* dependencies in it that could be  
dropped from it too.
Comment 1 Tim Waugh 2005-09-13 07:42:25 EDT
The perl module dependencies ought to be picked up by RPM automatically during
build anyway, so I'll take them all out and see what's left.
Comment 2 Tim Waugh 2005-09-13 08:19:27 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.